php willow thème wordpress inattendu ‘<‘

Publié par Jean-Michel le

Je travaille sur un projet WordPress avec le thème Willow et j’obtiens l’erreur suivante

Erreur d’analyse : erreur de syntaxe, ‘<‘ inattendu dans /nfs/c11/h03/mnt/201560/domains/theilocompany.com/html/wp-content/themes/willow/vc_extends/willow_service_block.php à la ligne 6

le fichier willow_service_block.php ressemble à ceci :

    <?php

    class WPBakeryShortCode_VC_WILLOW_Service_Block extends WPBakeryShortCode{
    }

comme vous pouvez le voir, il n’a que 4 lignes, mais l’erreur est sur la ligne 6, je suis nouveau sur php et je sais maintenant quoi faire, mais cela vient de casser tout le site !! s’il vous plaît aidez-moi!

Lire également:  Comment fusionner deux menus gérés séparément dans wordpress pour les afficher comme un seul dans le thème frontal ?

Solution n°1 trouvée

vous utilisez le mot clé extend pour étendre la classe WPBakeryShortCode. C’est ce qu’on appelle une classe enfant. Une classe enfant est essentiellement une classe qui hérite de toutes les propriétés et méthodes de la classe qu’elle étend.

Vérifiez la classe WPBakeryShortCode et fermez l’instruction PHP avec ?>

Catégories : Wordpress

Jean-Michel

Jean-Michel est en charge de la partie blog du site. Il met en place la stratégie de contenu et répond aux questions fréquentes sur Wordpress.

0 commentaire

Laisser un commentaire

Avatar placeholder

Votre adresse e-mail ne sera pas publiée. Les champs obligatoires sont indiqués avec *